# Method: apps.services.versions.instances.list

- [HTTP request](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions.instances/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions.instances/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions.instances/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions.instances/list#body.request_body)
- [Response body](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions.instances/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions.instances/list#body.ListInstancesResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions.instances/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions.instances/list#try-it)

Lists the instances of a version.

Tip: To aggregate details about instances over time, see the [Stackdriver Monitoring API](https://cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.timeSeries/list).

### HTTP request

`GET https://appengine.googleapis.com/v1beta/{parent=apps/*/services/*/versions/*}/instances`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Name of the parent Version resource. Example: `apps/myapp/services/default/versions/v1`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `appengine.instances.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum results to return per page. |
| `pageToken` | `string` Continuation token for fetching the next page of results. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for `Instances.ListInstances`.

| JSON representation |
|---|
| ``` { "instances": [ { object (`https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions.instances#Instance`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `instances[]` | ``object (`https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.services.versions.instances#Instance`)`` The instances belonging to the requested version. |
| `nextPageToken` | `string` Continuation token for fetching the next page of results. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/appengine.admin`
- `
  https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/cloud-platform.read-only`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).